package com.sf.day04;

public class Test01 {

    /**
     * 求n的阶乘   递归
     * eg:  5的阶乘   5*4*3*2*1
     * @return
     * 编写递归的时候  需要注意的事项： 避免死循环
     * 场景   ：  需要不断的自增   自己调自己的方法
     * 例如：：   文件夹下包含摄像头和文件夹，下一层文件夹下还包含摄像头和文件夹 ....
     *           然你在当前文件夹名称后面显示当前文件夹下有多少个摄像头和文件夹（11/8）
     *
     */
    public static int factorial(int n){
        /**
         *
         */
        if(n ==1){
            return 1;
        }
        int sum = n * factorial(n - 1);
        return sum;
    }


    public static void main(String[] args) {
        //     int    factorial       =   20;
        int factorial = factorial(3);
        System.out.println(factorial);
    }
}
